SecurityAdapter (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.security.SecurityAdapter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.security
Interface SecurityAdapter

public interface SecurityAdapter

A pluggable strategy to authenticate new connections and authorize the connection and producer and consumer on destinations

Version:
  $Revision: 1.1 $

Method Summary
`void` | `authorizeConnection(BrokerClient client, ConnectionInfo info)` Authenticates the connection and authorizes it for use with this Message Broker
`void` | `authorizeConsumer(BrokerClient client, ConsumerInfo info)` Authorizes that the consumer can start with the given consumer information
`void` | `authorizeProducer(BrokerClient client, ProducerInfo info)` Authorizes that the prodcuer can start with the given producer information.
`void` | `authorizeSendMessage(BrokerClient client, ActiveMQMessage message)` Authorizes on a per message basis whether or not the client is allowed to send the given message.

Method Detail

### authorizeConnection

    public void authorizeConnection(BrokerClient client,
                                    ConnectionInfo info)
                             throws JMSException

  Authenticates the connection and authorizes it for use with this Message Broker

  Throws:
    `JMSException` - if the connection is not allowed for any reason

### authorizeConsumer

    public void authorizeConsumer(BrokerClient client,
                                  ConsumerInfo info)
                           throws JMSException

  Authorizes that the consumer can start with the given consumer information

  Throws:
    `JMSException` - if the connection is not allowed for any reason

### authorizeProducer

    public void authorizeProducer(BrokerClient client,
                                  ProducerInfo info)
                           throws JMSException

  Authorizes that the prodcuer can start with the given producer information. Note that the destination information may not be present at the start of the producer.

  Throws:
    `JMSException` - if the connection is not allowed for any reason

### authorizeSendMessage

    public void authorizeSendMessage(BrokerClient client,
                                     ActiveMQMessage message)
                              throws JMSException

  Authorizes on a per message basis whether or not the client is allowed to send the given message. The client may not have been authorized yet for this destination as a destination may not have been specified on the previous call to `authorizeProducer(org.codehaus.activemq.broker.BrokerClient, org.codehaus.activemq.message.ProducerInfo)`

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.